; Verifica se uma lista multinivel possui um certo atomo.
; Iniciar: (procura 'c '((a b c) d ((e) f g)))
; Retorna: T - sim / nil - nao

; e - elemento a procurar
; lista - onde procurar
(defun procura (e lista)
 ; verifica termino da recursao
 (cond
  ; se terminou a lista, retorna lista (vazia)
  ((null lista) nil)
  ; se primeiro elemento eh um atomo
  ; (percorre horizontalmente a lista)
  ((atom (car lista))
   ; verifica se eh o elemento procurado
   (cond
    ; testa primeiro elemento da lista com o procurado, retorna T se encontrou
    ((equal (car lista) e) T)
    ; se nao eh
    ( T (procura e (cdr lista)))))
  ; percorre verticalmente e, se nao encontrar nada, continua horizontalmente
  (T (or
      ; se o primeiro elemento eh uma lista, procura nessa sub-lista
      (procura e (car lista))
      ; se nao achou na sub-lista, continua na lista
      (procura e (cdr lista))))))
