; Transfoma uma lista multinivel (lista com sub-listas) numa
; lista de um nivel.
; Iniciar: (simples '((a b c) d ((e) f g)))
; Retorna: lista simplificada. Ex.: (a b c d e f g)

(defun simples (lista)
 (cond
  ; se terminou a lista, retorna lista (vazia)
  ((null lista) lista)
  ; se primeiro elemento eh um atomo, concatena com a resposta
  ; (percorre horizontalmente a lista)
  ((atom (car lista)) (cons (car lista) (simples (cdr lista))))
  ; percorre verticalmente e concatena com o que for encontrado horizontalmente
  (T (append (simples (car lista)) (simples (cdr lista))))))
