; Monta novas palavras a partir de duas palavras dadas.
; A montagem eh feita concatenando o fim de uma palavra com o inicio da outra,
; de acordo com as letras coincidentes entre o fim da primeira e o inicio
; da segunda. Exemplo:
;
;    cavalo + lobo = cavalobo

; Para iniciar programa com leitura do teclado: (lt)
; Para iniciar funcao de concatenacao: (p (lenght s1) 0 s1 s2)



; Le do teclado 2 strings e tenta fazer a concatenacao;
; retorna sempre T
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun lt ()
  (terpri)
  (princ "O Incrivel Concatenador!")
  (terpri)
  ; le string do teclado
  (let
      ((s1 "cavalo")
       (s2 "lobo"))
    (princ "Primeiro string: ")
    (setf s1 (string (read)))
    (princ "Segundo string:  ")
    (setf s2 (string (read)))
    (princ "O incrivel resultado: ")
    (princ (p (length s1) 0 s1 s2))
    T))  



; Faz comparacoes do fim para o inicio do primeiro string e do inicio para o
; fim do segundo string. Acha o maior sub-string coincidente e retorna a
; composicao.
; - indice do primeiro caracter do sub-string coincidente do primeiro string
; - indice do ultimo caracter do sub-string coincidente do segundo string
; - o primeiro string
; - o segundo string
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun p (i1 f2 s1 s2)
  (cond
   ;; se chegou ao fim do primeiro string
   ((zerop i1) nil)
   ;; se chegou ao fim do segundo string
   ((equal f2 (length s2)) nil)
   ;; procura sub-strings   
   ( T (cond
	;; verifica se sub-strings sao iguais
	((string= s1 s2 :start1 i1 :end1 (length s1) :start2 0 :end2 f2)
	 ;; se sao iguais, verifica se existem outras sub-strings maiores
	 (cond
	  ;; testa existencia de outras substrings
	  ((null (p (- i1 1) (+ f2 1) s1 s2))
	   ;; faz concatenacao
	   ;;Allegro: (string-append s1 (subseq s2 :star f2 :end (length s2))))
	   (concatenate 'string s1 (subseq s2 f2 (length s2))))
	  ;; se achou alguma sub-string maior
	  ( T (p (- i1 1) (+ f2 1) s1 s2))))
	;; se sub-strings sao diferentes
	( T (p (- i1 1) (+ f2 1) s1 s2))))))